Last Comment Bug 430417 - [fr] Printed messages have a double colon after some email headers in French Thunderbird
: [fr] Printed messages have a double colon after some email headers in French ...
Status: VERIFIED FIXED
: verified1.8.1.15
Product: Mozilla Localizations
Classification: Client Software
Component: fr / French (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Cédric Corazza
: Benoit
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-22 23:18 PDT by MI
Modified: 2008-06-06 04:26 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch removing extra semi-colons and adding nbsp where necessary (3.82 KB, patch)
2008-04-23 09:29 PDT, Cédric Corazza
benoit.leseul: review+
l10n: approval1.8.1.15+
Details | Diff | Review

Description MI 2008-04-22 23:18:00 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.14) Gecko/20080404 Firefox/2.0.0.14
Build Identifier: Thunderbird version 2.0.0.12 (20080213)

When printing an email with the French version, some (but not all) email headers have 2 colons instead of 1. For example:

  De : sender@example.com
  Pour :: someone@example.com
  Copie à :: other@example.com



Reproducible: Always

Steps to Reproduce:
1. Use Print preview with an email to see the problem




The problem seems to be in the file
 /chrome/fr.jar : /locale/fr/messenger/mime.properties

The following patch appears to solve the problem:

--- mime.properties	Tue Apr 24 11:52:00 2007
+++ mime.properties.new	Mon Apr 21 19:43:53 2008
@@ -111 +111 @@
-1010=R\u00e9pondre \u00e0\u00a0:
+1010=R\u00e9pondre \u00e0
@@ -121 +121 @@
-1012=Pour\u00a0:
+1012=Pour
@@ -127 +127 @@
-1013=Copie \u00e0\u00a0:
+1013=Copie \u00e0
@@ -132 +132 @@
-1014=Forum\u00a0:
+1014=Forum
@@ -137 +137 @@
-1015=Faire suivre \u00e0\u00a0:
+1015=Faire suivre \u00e0
@@ -177 +177 @@
-1023=Copie cach\u00e9e \u00e0\u00a0:
+1023=Copie cach\u00e9e \u00e0
Comment 1 Benoit 2008-04-23 03:43:23 PDT
While the colon should go, I think the nbsp should stay there, and be added to some other lines.

I'm not sure it is the right way to do BTW, hardcoding a colon in the code instead of putting it in the localizable strings is sure to cause l10y problems. What happens with RTL languages?
Comment 2 MI 2008-04-23 06:26:35 PDT
I understand your point about RTL languages. However, I suggest fixing the French double-colon first by removing it, so that this bug doesn't stay around for years. 

Then a different bug could be filed to move the colon out of the code into the localized strings in all languages.
Comment 3 Cédric Corazza 2008-04-23 09:29:16 PDT
Created attachment 317296 [details] [diff] [review]
Patch removing extra semi-colons and adding nbsp where necessary
Comment 4 Cédric Corazza 2008-04-23 14:36:14 PDT
FIXED on trunk
Comment 5 Axel Hecht [:Pike] 2008-06-02 14:57:24 PDT
Comment on attachment 317296 [details] [diff] [review]
Patch removing extra semi-colons and adding nbsp where necessary

>Index: mime.properties
<...>
> # CC
> ## @name MIME_MHTML_CC
> ## @loc 
> # LOCALIZATION NOTE (1013): Do not translate "CC" below.
>-1013=Copie \u00e0\u00a0:
>+1013=Copie \u00e0\u00a0

Really?
Comment 6 Cédric Corazza 2008-06-02 15:15:28 PDT
(In reply to comment #5)
> > # CC
> > ## @name MIME_MHTML_CC
> > ## @loc 
> > # LOCALIZATION NOTE (1013): Do not translate "CC" below.
> >-1013=Copie \u00e0\u00a0:
> >+1013=Copie \u00e0\u00a0
> 
> Really?
I'm not sure to understand. Is it about the "CC" that shouldn't be translated?
It has been for years.
Otherwise, this removes the extra colon and a non breakable space should be added before the colon added automatically as can be seen in the example in the initial description.

Comment 7 Axel Hecht [:Pike] 2008-06-02 15:26:36 PDT
Comment on attachment 317296 [details] [diff] [review]
Patch removing extra semi-colons and adding nbsp where necessary

a=me, yeah, it won't get worse. Please land and test by the 6th (code freeze), even though I don't know if we're going to do a tb .15. Use the fixed... and verified1.8.1.15 keywords as usual.
Comment 8 Cédric Corazza 2008-06-03 09:53:46 PDT
FIXED
Checking in mail/chrome/messenger/mime.properties;
/l10n/l10n/fr/mail/chrome/messenger/mime.properties,v  <--  mime.properties
new revision: 1.2.2.2; previous revision: 1.2.2.1
Comment 9 Cédric Corazza 2008-06-06 04:26:04 PDT
Verified.
version 2.0.0.15pre (20080605) build id: 2008060503

Note You need to log in before you can comment on or make changes to this bug.